<div class="front_page_section front_page_section_contacts<?php
	$ipharm_scheme = ipharm_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $ipharm_scheme ) && ! ipharm_is_inherit( $ipharm_scheme ) ) {
		echo ' scheme_' . esc_attr( $ipharm_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( ipharm_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( ipharm_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$ipharm_css      = '';
		$ipharm_bg_image = ipharm_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $ipharm_bg_image ) ) {
			$ipharm_css .= 'background-image: url(' . esc_url( ipharm_get_attachment_url( $ipharm_bg_image ) ) . ');';
		}
		if ( ! empty( $ipharm_css ) ) {
			echo ' style="' . esc_attr( $ipharm_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$ipharm_anchor_icon = ipharm_get_theme_option( 'front_page_contacts_anchor_icon' );
	$ipharm_anchor_text = ipharm_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $ipharm_anchor_icon ) || ! empty( $ipharm_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $ipharm_anchor_icon ) ? ' icon="' . esc_attr( $ipharm_anchor_icon ) . '"' : '' )
									. ( ! empty( $ipharm_anchor_text ) ? ' title="' . esc_attr( $ipharm_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( ipharm_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' ipharm-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$ipharm_css      = '';
			$ipharm_bg_mask  = ipharm_get_theme_option( 'front_page_contacts_bg_mask' );
			$ipharm_bg_color_type = ipharm_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $ipharm_bg_color_type ) {
				$ipharm_bg_color = ipharm_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $ipharm_bg_color_type ) {
				$ipharm_bg_color = ipharm_get_scheme_color( 'bg_color', $ipharm_scheme );
			} else {
				$ipharm_bg_color = '';
			}
			if ( ! empty( $ipharm_bg_color ) && $ipharm_bg_mask > 0 ) {
				$ipharm_css .= 'background-color: ' . esc_attr(
					1 == $ipharm_bg_mask ? $ipharm_bg_color : ipharm_hex2rgba( $ipharm_bg_color, $ipharm_bg_mask )
				) . ';';
			}
			if ( ! empty( $ipharm_css ) ) {
				echo ' style="' . esc_attr( $ipharm_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$ipharm_caption     = ipharm_get_theme_option( 'front_page_contacts_caption' );
			$ipharm_description = ipharm_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $ipharm_caption ) || ! empty( $ipharm_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $ipharm_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $ipharm_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $ipharm_caption, 'ipharm_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $ipharm_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $ipharm_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $ipharm_description ), 'ipharm_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$ipharm_content = ipharm_get_theme_option( 'front_page_contacts_content' );
			$ipharm_layout  = ipharm_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $ipharm_layout && ( ! empty( $ipharm_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $ipharm_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $ipharm_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $ipharm_content, 'ipharm_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $ipharm_layout && ( ! empty( $ipharm_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$ipharm_sc = ipharm_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $ipharm_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $ipharm_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					ipharm_show_layout( do_shortcode( $ipharm_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $ipharm_layout && ( ! empty( $ipharm_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
