<?php
/**
 * Template for displaying thumbnail of course within the loop.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/loop/course/thumbnail.php.
 *
 * @author  ThimPress
 * @package  Learnpress/Templates
 * @version  3.0.0
 *
 * @package IPHARM
 * @since IPHARM 1.0.62
 */

/**
 * Prevent loading this file directly
 */
defined( 'ABSPATH' ) || exit();

// Featured image
ipharm_show_post_featured(
	array(
		'class' => 'course-thumbnail',
		'thumb_size' => ipharm_get_thumb_size( strpos( ipharm_get_theme_option( 'body_style' ), 'full' ) !== false ? 'big' : 'med' )
	)
);
