<?php

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'ipharm_product_delivery_date_for_woocommerce_lite_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'ipharm_product_delivery_date_for_woocommerce_lite_theme_setup9', 9 );
    function ipharm_product_delivery_date_for_woocommerce_lite_theme_setup9() {

        

        if ( is_admin() ) {
            add_filter( 'ipharm_filter_tgmpa_required_plugins', 'ipharm_product_delivery_date_for_woocommerce_lite_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( ! function_exists( 'ipharm_product_delivery_date_for_woocommerce_lite_tgmpa_required_plugins' ) ) {
    
    function ipharm_product_delivery_date_for_woocommerce_lite_tgmpa_required_plugins( $list = array() ) {
        if ( ipharm_storage_isset( 'required_plugins', 'product-delivery-date-for-woocommerce-lite' ) && ipharm_storage_get_array( 'required_plugins', 'product-delivery-date-for-woocommerce-lite', 'install' ) !== false ) {
            $list[] = array(
                'name'     => ipharm_storage_get_array( 'required_plugins', 'product-delivery-date-for-woocommerce-lite', 'title' ),
                'slug'     => 'product-delivery-date-for-woocommerce-lite',
                'required' => false,
            );
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( ! function_exists( 'ipharm_exists_product_delivery_date_for_woocommerce_lite' ) ) {
    function ipharm_exists_product_delivery_date_for_woocommerce_lite() {
        return class_exists( 'Prdd_Lite_Woocommerce' );
    }
}

