<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package IPHARM
 * @since IPHARM 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$ipharm_copyright_scheme = ipharm_get_theme_option( 'copyright_scheme' );
if ( ! empty( $ipharm_copyright_scheme ) && ! ipharm_is_inherit( $ipharm_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $ipharm_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$ipharm_copyright = ipharm_get_theme_option( 'copyright' );
			if ( ! empty( $ipharm_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$ipharm_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $ipharm_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$ipharm_copyright = ipharm_prepare_macros( $ipharm_copyright );
				// Display copyright
				echo wp_kses( nl2br( $ipharm_copyright ), 'ipharm_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
