<?php
/**
 * The template to display default site footer
 *
 * @package IPHARM
 * @since IPHARM 1.0.10
 */

$ipharm_footer_id = ipharm_get_custom_footer_id();
$ipharm_footer_meta = get_post_meta( $ipharm_footer_id, 'trx_addons_options', true );
if ( ! empty( $ipharm_footer_meta['margin'] ) ) {
	ipharm_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( ipharm_prepare_css_value( $ipharm_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $ipharm_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $ipharm_footer_id ) ) ); ?>
						<?php
						$ipharm_footer_scheme = ipharm_get_theme_option( 'footer_scheme' );
						if ( ! empty( $ipharm_footer_scheme ) && ! ipharm_is_inherit( $ipharm_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $ipharm_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'ipharm_action_show_layout', $ipharm_footer_id );
	?>
</footer><!-- /.footer_wrap -->
