<?php
/**
 * The template to display the background video in the header
 *
 * @package IPHARM
 * @since IPHARM 1.0.14
 */
$ipharm_header_video = ipharm_get_header_video();
$ipharm_embed_video  = '';
if ( ! empty( $ipharm_header_video ) && ! ipharm_is_from_uploads( $ipharm_header_video ) ) {
	if ( ipharm_is_youtube_url( $ipharm_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $ipharm_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php ipharm_show_layout( ipharm_get_embed_video( $ipharm_header_video ) ); ?></div>
		<?php
	}
}
