<?php
/**
 * The template 'Style 2' to displaying related posts
 *
 * @package IPHARM
 * @since IPHARM 1.0
 */

$ipharm_link        = get_permalink();
$ipharm_post_format = get_post_format();
$ipharm_post_format = empty( $ipharm_post_format ) ? 'standard' : str_replace( 'post-format-', '', $ipharm_post_format );
?><div id="post-<?php the_ID(); ?>" <?php post_class( 'related_item post_format_' . esc_attr( $ipharm_post_format ) ); ?> data-post-id="<?php the_ID(); ?>">
	<?php
	ipharm_show_post_featured(
		array(
			'thumb_size'    => apply_filters( 'ipharm_filter_related_thumb_size', ipharm_get_thumb_size( (int) ipharm_get_theme_option( 'related_posts' ) == 1 ? 'huge' : 'big' ) ),
		)
	);
	?>
	<div class="post_header entry-header">
		<?php
		if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
			?>
			<div class="post_meta">
				<a href="<?php echo esc_url( $ipharm_link ); ?>" class="post_meta_item post_date"><?php echo wp_kses_data( ipharm_get_date() ); ?></a>
			</div>
			<?php
		}
		?>
		<h6 class="post_title entry-title"><a href="<?php echo esc_url( $ipharm_link ); ?>"><?php
			if ( '' == get_the_title() ) {
				esc_html_e( '- No title -', 'ipharm' );
			} else {
				the_title();
			}
		?></a></h6>
	</div>
</div>
