/* global jQuery:false */
/* global IPHARM_STORAGE:false */

(function() {
	"use strict";

	// Init skin-specific actions on first run
	// Attention! Don't forget to add the class "inited" and check it to prevent re-initialize the elements
	jQuery( document ).on(
		'action.ready_ipharm', function() {

			// Process Tribe Events view after it was reloaded by AJAX
			jQuery('.tribe-events-view').on( 'beforeAjaxComplete.tribeEvents beforeAjaxSuccess.tribeEvents beforeAjaxError.tribeEvents', ipharm_tribe_events_after_ajax );
			function ipharm_tribe_events_after_ajax( jqXHR, textStatus ) {
				setTimeout( function() {
					// Set up event handler again because .tribe-events-view was recreated after AJAX
					jQuery('.tribe-events-view').on( 'beforeAjaxComplete.tribeEvents beforeAjaxSuccess.tribeEvents beforeAjaxError.tribeEvents', ipharm_tribe_events_after_ajax );
					// ToDo: Any actions after the Tribe Events View is reloaded

				}, 10 );
			}

			// Custom widget wishlist in header
			jQuery('.wishlist_custom_widget .elementor-tab-content').prepend('<span class="sc_layouts_cart_widget_close trx_addons_button_close"><span class="sc_layouts_cart_widget_close_icon trx_addons_button_close_icon"></span></span>');
			jQuery('.wishlist_custom_widget .elementor-toggle .trx_addons_button_close').click(function() {
     		jQuery('.wishlist_custom_widget .elementor-tab-title').click();
 			});
 			jQuery('.wishlist_custom_widget .elementor-toggle .elementor-tab-content').off('click');

 			// Don't change the GDR checkbox when click reset button in cf7
			jQuery('.wpcf7 button[type="reset"]').click(function() {
				setTimeout(function() {
					jQuery('input[type="checkbox"][name="i_agree_privacy_policy"],input[type="checkbox"][name="gdpr_terms"],input[type="checkbox"][name="wpgdprc"]').click();
				},100);
			});

		}
	);

})();
